//
//  ViewController.m
//  ChartLoadTest
//
//  Created by Max Rivlin on 2/19/16.
//  Copyright © 2016 Infragistics. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    IGChartView *_chart;
    IGCategorySeriesDataSourceHelper *_dsh;
    
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    _chart.delegate = self;
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithValues:@[@1,@2,@3,@4,@5]];
    IGColumnSeries *series = (IGColumnSeries*)[_chart addSeriesForType:[IGColumnSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    series.markerType = IGMarkerTypeCircle;
    series.yAxis.minimum = 0;
    series.yAxis.maximum = 6;
    
    [self.view addSubview:_chart];
}

-(UIView *)chartView:(IGChartView *)chartView viewForMarkerInSeries:(IGSeries *)series withItem:(NSObject *)item index:(NSInteger)index originalSourceItem:(NSObject *)originalSourceItem displayOptions:(IGMarkerDisplayOptions *)options
{
    UILabel *label = [[UILabel alloc]init];
    label.text = [NSString stringWithFormat:@"marker %ld", index+1];
    [label sizeToFit];
    return  label;
}

@end
